#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;


int main(){
    int n;
    cin>>n;
    vector<int> a(n);
    for (int i=0; i<n; i++){
        cin>>a[i];
    }
    sort(a.begin(), a.end());
    int num=-1;
    int dnum=0;
    int d=0;
    int ans=0;
    for (int i=n-1; i>=0; i--){
        if (a[i]!=num){
            num=a[i];
            dnum=d;
        }
        if (num-dnum<=0){
            break;
        }
        ans+=num-dnum;
        d++;
    }
    cout<<ans;
}